/*
    Sprite routines - just to save the grief of workspace management and
		      repeating code
    
    Special notes :
	    o	Currently only supports one texture page.  Ideally will allow
	    	the creation of a number of 'pages' defining sprite pages and
		CLUTs
	    o	On initialise allows an offset to be defined for easier mixing
		with 3D graphics.
*/

void	InitSprite(int cx, int cy,
		   int maxsprite,
		   GsOT *frame0_ot,
		   GsOT *frame1_ot,
		   int texture_page,
		   int clut_x, int clut_y);

void	SpriteNewFrame(int frame_index);

void	SpriteRedraw(int frame_index, int r, int g, int b, int fade_pri);

void	FastSprite(int x, int y, int w, int h,
		   int tp_x, int tp_y,
		   int transparent, int trans_mode,
		   int priority,
		   int r, int g, int b);

void	Sprite(int x, int y, int w, int h, int centre_x, int centre_y,
	       int tp_x, int tp_y,
	       long rot, short scale_x, short scale_y,
	       int transparent, int trans_mode,
	       int priority,
	       int r, int g, int b);

/* END OF FILE */
