/*
	Define MODE4 piece maps

*/

#define NO_MODE4_PIECE		7

Piece	mode4_map[NO_MODE4_PIECE]=
	    {
		{	/* PIECE 0  - LONG */
		    0,0,
		    {
			{TOP_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{VER_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{VER_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{BOT_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
		    }
		},
		{	/* PIECE 1  - BOX */
		    0,0,
		    {
			{MID_PS, MID_PS, NON_PS, NON_PS, NON_PS},
			{MID_PS, MID_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
		    }
		},
		{	/* PIECE 2  - RIGHT DOGLEG */
		    0,0,
		    {
			{T_R_PS, RGT_PS, NON_PS, NON_PS, NON_PS},
			{VER_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{VER_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
		    }
		},
		{	/* PIECE 3  - LEFT DOGLEG */
		    0,0,
		    {
			{LFT_PS, T_L_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, VER_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, VER_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
		    }
		},
		{	/* PIECE 4  - TEE */
		    0,0,
		    {
			{LFT_PS, MID_PS, RGT_PS, NON_PS, NON_PS},
			{NON_PS, BOT_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
		    }
		},
		{	/* PIECE 5  - RIGHT S */
		    0,0,
		    {
			{NON_PS, T_R_PS, RGT_PS, NON_PS, NON_PS},
			{LFT_PS, B_L_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
		    }
		},
		{	/* PIECE 6  - LEFT S */
		    0,0,
		    {
			{LFT_PS, T_L_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, B_R_PS, RGT_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
			{NON_PS, NON_PS, NON_PS, NON_PS, NON_PS},
		    }
		},
	    };


Offset	mode4_off[NO_MODE4_PIECE*4]=
		{
		    /* PIECE 0  - LONG */
			{0,1},
			{2,0},
			{4,2},
			{1,4},
		    /* PIECE 1  - BOX */
			{0,0},
			{3,0},
			{3,3},
			{0,3},
		    /* PIECE 2  - RIGHT DOGLEG */
			{0,1},
			{3,0},
			{4,3},
			{1,4},
		    /* PIECE 4  - LEFT DOGLEG */
			{1,1},
			{3,1},
			{3,3},
			{1,3},
		    /* PIECE 5  - TEE */
			{1,0},
			{4,1},
			{3,4},
			{0,3},
		    /* PIECE 5  - RIGHT S */
			{1,1},
			{3,1},
			{3,3},
			{1,3},
		    /* PIECE 6  - LEFT S */
			{1,1},
			{3,1},
			{3,3},
			{1,3},
		};



int	mode4_height[NO_MODE4_PIECE]=
		{
		    4,			/* PIECE 0  - LONG */
		    2,			/* PIECE 1  - BOX */
		    3,			/* PIECE 2  - RIGHT DOGLEG */
		    3,			/* PIECE 3  - LEFT DOGLEG */
		    2,			/* PIECE 4  - TEE */
		    2,			/* PIECE 5  - RIGHT S */
		    2,			/* PIECE 6  - LEFT S */
		};

PieceMap	piece_map4={NO_MODE4_PIECE,
			    mode4_map,
			    mode4_off,
			    mode4_height};


/* END OF FILE */
